package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 模板对象 t_template
 *
 * @author hxhq
 * @date 2025-12-23
 */
@TableName("t_template")
public class Template extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private String sn;

    /** 模板名称 */
    private String name;

    /** 模板名称-英文 */
    private String nameEn;

    /** 导出类 */
    private String exportClass;

    /** 导出方法 */
    private String exportMethod;

    /** 所属部门/学科 */
    private Long deptId;

    /** 状态：1：禁用：10：启用 */
    private Integer status;

    /** 内容 */
    private String content;

    /** 是否需要预填：1：否；10：是 */
    private Integer needPre;

    /** 类型：1：普通模板；10：敏感模板 */
    private Integer type;

    /** 产物：1：试剂；3：给药制剂；5：麻精药 */
    private Integer product;

    /** 填报显示观察按钮：1：否；10：显示 */
    private Integer showGc;

    /** 显示的编号 */
    private String showSn;

    /** 步骤库ids */
    private String stepGroupIds;

    /** 部门名称 */
    @TableField(exist = false)
    private String deptName;

    public Integer getShowGc() {
        return showGc;
    }

    public void setShowGc(Integer showGc) {
        this.showGc = showGc;
    }

    public String getExportMethod() {
        return exportMethod;
    }

    public void setExportMethod(String exportMethod) {
        this.exportMethod = exportMethod;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public String getExportClass() {
        return exportClass;
    }

    public void setExportClass(String exportClass) {
        this.exportClass = exportClass;
    }

    public Integer getProduct() {
        return product;
    }

    public void setProduct(Integer product) {
        this.product = product;
    }

    public void setSn(String sn)
    {
        this.sn = sn;
    }

    public String getSn()
    {
        return sn;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public Integer getNeedPre() {
        return needPre;
    }

    public void setNeedPre(Integer needPre) {
        this.needPre = needPre;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getShowSn() {
        return showSn;
    }

    public void setShowSn(String showSn) {
        this.showSn = showSn;
    }

    public String getStepGroupIds() {
        return stepGroupIds;
    }

    public void setStepGroupIds(String stepGroupIds) {
        this.stepGroupIds = stepGroupIds;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
